//go:build !ignore_autogenerated_core
// +build !ignore_autogenerated_core

// Copyright 2022 VMware, Inc. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0

// Code generated by conversion-gen. DO NOT EDIT.

package v1alpha2

import (
	unsafe "unsafe"

	conversion "k8s.io/apimachinery/pkg/conversion"
	runtime "k8s.io/apimachinery/pkg/runtime"
	v1beta1 "sigs.k8s.io/cluster-api/api/v1beta1"

	v1alpha3 "github.com/vmware-tanzu/tanzu-framework/apis/run/v1alpha3"
)

func init() {
	localSchemeBuilder.Register(RegisterConversions)
}

// RegisterConversions adds conversion functions to the given scheme.
// Public to allow building arbitrary schemes.
func RegisterConversions(s *runtime.Scheme) error {
	if err := s.AddGeneratedConversionFunc((*TanzuKubernetesRelease)(nil), (*v1alpha3.TanzuKubernetesRelease)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha2_TanzuKubernetesRelease_To_v1alpha3_TanzuKubernetesRelease(a.(*TanzuKubernetesRelease), b.(*v1alpha3.TanzuKubernetesRelease), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1alpha3.TanzuKubernetesRelease)(nil), (*TanzuKubernetesRelease)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_TanzuKubernetesRelease_To_v1alpha2_TanzuKubernetesRelease(a.(*v1alpha3.TanzuKubernetesRelease), b.(*TanzuKubernetesRelease), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*TanzuKubernetesReleaseList)(nil), (*v1alpha3.TanzuKubernetesReleaseList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha2_TanzuKubernetesReleaseList_To_v1alpha3_TanzuKubernetesReleaseList(a.(*TanzuKubernetesReleaseList), b.(*v1alpha3.TanzuKubernetesReleaseList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1alpha3.TanzuKubernetesReleaseList)(nil), (*TanzuKubernetesReleaseList)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_TanzuKubernetesReleaseList_To_v1alpha2_TanzuKubernetesReleaseList(a.(*v1alpha3.TanzuKubernetesReleaseList), b.(*TanzuKubernetesReleaseList), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*TanzuKubernetesReleaseStatus)(nil), (*v1alpha3.TanzuKubernetesReleaseStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha2_TanzuKubernetesReleaseStatus_To_v1alpha3_TanzuKubernetesReleaseStatus(a.(*TanzuKubernetesReleaseStatus), b.(*v1alpha3.TanzuKubernetesReleaseStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*v1alpha3.TanzuKubernetesReleaseStatus)(nil), (*TanzuKubernetesReleaseStatus)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_TanzuKubernetesReleaseStatus_To_v1alpha2_TanzuKubernetesReleaseStatus(a.(*v1alpha3.TanzuKubernetesReleaseStatus), b.(*TanzuKubernetesReleaseStatus), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*TanzuKubernetesReleaseSpec)(nil), (*v1alpha3.TanzuKubernetesReleaseSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha2_TanzuKubernetesReleaseSpec_To_v1alpha3_TanzuKubernetesReleaseSpec(a.(*TanzuKubernetesReleaseSpec), b.(*v1alpha3.TanzuKubernetesReleaseSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*v1alpha3.TanzuKubernetesReleaseSpec)(nil), (*TanzuKubernetesReleaseSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1alpha3_TanzuKubernetesReleaseSpec_To_v1alpha2_TanzuKubernetesReleaseSpec(a.(*v1alpha3.TanzuKubernetesReleaseSpec), b.(*TanzuKubernetesReleaseSpec), scope)
	}); err != nil {
		return err
	}
	return nil
}

func autoConvert_v1alpha2_TanzuKubernetesRelease_To_v1alpha3_TanzuKubernetesRelease(in *TanzuKubernetesRelease, out *v1alpha3.TanzuKubernetesRelease, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha2_TanzuKubernetesReleaseSpec_To_v1alpha3_TanzuKubernetesReleaseSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1alpha2_TanzuKubernetesReleaseStatus_To_v1alpha3_TanzuKubernetesReleaseStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha2_TanzuKubernetesRelease_To_v1alpha3_TanzuKubernetesRelease is an autogenerated conversion function.
func Convert_v1alpha2_TanzuKubernetesRelease_To_v1alpha3_TanzuKubernetesRelease(in *TanzuKubernetesRelease, out *v1alpha3.TanzuKubernetesRelease, s conversion.Scope) error {
	return autoConvert_v1alpha2_TanzuKubernetesRelease_To_v1alpha3_TanzuKubernetesRelease(in, out, s)
}

func autoConvert_v1alpha3_TanzuKubernetesRelease_To_v1alpha2_TanzuKubernetesRelease(in *v1alpha3.TanzuKubernetesRelease, out *TanzuKubernetesRelease, s conversion.Scope) error {
	out.ObjectMeta = in.ObjectMeta
	if err := Convert_v1alpha3_TanzuKubernetesReleaseSpec_To_v1alpha2_TanzuKubernetesReleaseSpec(&in.Spec, &out.Spec, s); err != nil {
		return err
	}
	if err := Convert_v1alpha3_TanzuKubernetesReleaseStatus_To_v1alpha2_TanzuKubernetesReleaseStatus(&in.Status, &out.Status, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1alpha3_TanzuKubernetesRelease_To_v1alpha2_TanzuKubernetesRelease is an autogenerated conversion function.
func Convert_v1alpha3_TanzuKubernetesRelease_To_v1alpha2_TanzuKubernetesRelease(in *v1alpha3.TanzuKubernetesRelease, out *TanzuKubernetesRelease, s conversion.Scope) error {
	return autoConvert_v1alpha3_TanzuKubernetesRelease_To_v1alpha2_TanzuKubernetesRelease(in, out, s)
}

func autoConvert_v1alpha2_TanzuKubernetesReleaseList_To_v1alpha3_TanzuKubernetesReleaseList(in *TanzuKubernetesReleaseList, out *v1alpha3.TanzuKubernetesReleaseList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]v1alpha3.TanzuKubernetesRelease, len(*in))
		for i := range *in {
			if err := Convert_v1alpha2_TanzuKubernetesRelease_To_v1alpha3_TanzuKubernetesRelease(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Items = nil
	}
	return nil
}

// Convert_v1alpha2_TanzuKubernetesReleaseList_To_v1alpha3_TanzuKubernetesReleaseList is an autogenerated conversion function.
func Convert_v1alpha2_TanzuKubernetesReleaseList_To_v1alpha3_TanzuKubernetesReleaseList(in *TanzuKubernetesReleaseList, out *v1alpha3.TanzuKubernetesReleaseList, s conversion.Scope) error {
	return autoConvert_v1alpha2_TanzuKubernetesReleaseList_To_v1alpha3_TanzuKubernetesReleaseList(in, out, s)
}

func autoConvert_v1alpha3_TanzuKubernetesReleaseList_To_v1alpha2_TanzuKubernetesReleaseList(in *v1alpha3.TanzuKubernetesReleaseList, out *TanzuKubernetesReleaseList, s conversion.Scope) error {
	out.ListMeta = in.ListMeta
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]TanzuKubernetesRelease, len(*in))
		for i := range *in {
			if err := Convert_v1alpha3_TanzuKubernetesRelease_To_v1alpha2_TanzuKubernetesRelease(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Items = nil
	}
	return nil
}

// Convert_v1alpha3_TanzuKubernetesReleaseList_To_v1alpha2_TanzuKubernetesReleaseList is an autogenerated conversion function.
func Convert_v1alpha3_TanzuKubernetesReleaseList_To_v1alpha2_TanzuKubernetesReleaseList(in *v1alpha3.TanzuKubernetesReleaseList, out *TanzuKubernetesReleaseList, s conversion.Scope) error {
	return autoConvert_v1alpha3_TanzuKubernetesReleaseList_To_v1alpha2_TanzuKubernetesReleaseList(in, out, s)
}

func autoConvert_v1alpha2_TanzuKubernetesReleaseSpec_To_v1alpha3_TanzuKubernetesReleaseSpec(in *TanzuKubernetesReleaseSpec, out *v1alpha3.TanzuKubernetesReleaseSpec, s conversion.Scope) error {
	out.Version = in.Version
	// WARNING: in.KubernetesVersion requires manual conversion: does not exist in peer-type
	// WARNING: in.Repository requires manual conversion: does not exist in peer-type
	// WARNING: in.Images requires manual conversion: does not exist in peer-type
	// WARNING: in.NodeImageRef requires manual conversion: does not exist in peer-type
	return nil
}

func autoConvert_v1alpha3_TanzuKubernetesReleaseSpec_To_v1alpha2_TanzuKubernetesReleaseSpec(in *v1alpha3.TanzuKubernetesReleaseSpec, out *TanzuKubernetesReleaseSpec, s conversion.Scope) error {
	out.Version = in.Version
	// WARNING: in.Kubernetes requires manual conversion: does not exist in peer-type
	// WARNING: in.OSImages requires manual conversion: does not exist in peer-type
	// WARNING: in.BootstrapPackages requires manual conversion: does not exist in peer-type
	return nil
}

func autoConvert_v1alpha2_TanzuKubernetesReleaseStatus_To_v1alpha3_TanzuKubernetesReleaseStatus(in *TanzuKubernetesReleaseStatus, out *v1alpha3.TanzuKubernetesReleaseStatus, s conversion.Scope) error {
	out.Conditions = *(*[]v1beta1.Condition)(unsafe.Pointer(&in.Conditions))
	return nil
}

// Convert_v1alpha2_TanzuKubernetesReleaseStatus_To_v1alpha3_TanzuKubernetesReleaseStatus is an autogenerated conversion function.
func Convert_v1alpha2_TanzuKubernetesReleaseStatus_To_v1alpha3_TanzuKubernetesReleaseStatus(in *TanzuKubernetesReleaseStatus, out *v1alpha3.TanzuKubernetesReleaseStatus, s conversion.Scope) error {
	return autoConvert_v1alpha2_TanzuKubernetesReleaseStatus_To_v1alpha3_TanzuKubernetesReleaseStatus(in, out, s)
}

func autoConvert_v1alpha3_TanzuKubernetesReleaseStatus_To_v1alpha2_TanzuKubernetesReleaseStatus(in *v1alpha3.TanzuKubernetesReleaseStatus, out *TanzuKubernetesReleaseStatus, s conversion.Scope) error {
	out.Conditions = *(*[]v1beta1.Condition)(unsafe.Pointer(&in.Conditions))
	return nil
}

// Convert_v1alpha3_TanzuKubernetesReleaseStatus_To_v1alpha2_TanzuKubernetesReleaseStatus is an autogenerated conversion function.
func Convert_v1alpha3_TanzuKubernetesReleaseStatus_To_v1alpha2_TanzuKubernetesReleaseStatus(in *v1alpha3.TanzuKubernetesReleaseStatus, out *TanzuKubernetesReleaseStatus, s conversion.Scope) error {
	return autoConvert_v1alpha3_TanzuKubernetesReleaseStatus_To_v1alpha2_TanzuKubernetesReleaseStatus(in, out, s)
}
