// Code generated by go-swagger; DO NOT EDIT.

package azure

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"

	strfmt "github.com/go-openapi/strfmt"

	models "github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/models"
)

// ExportTKGConfigForAzureReader is a Reader for the ExportTKGConfigForAzure structure.
type ExportTKGConfigForAzureReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *ExportTKGConfigForAzureReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {
	case 200:
		result := NewExportTKGConfigForAzureOK()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return result, nil
	case 400:
		result := NewExportTKGConfigForAzureBadRequest()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 401:
		result := NewExportTKGConfigForAzureUnauthorized()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 500:
		result := NewExportTKGConfigForAzureInternalServerError()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	default:
		return nil, runtime.NewAPIError("unknown error", response, response.Code())
	}
}

// NewExportTKGConfigForAzureOK creates a ExportTKGConfigForAzureOK with default headers values
func NewExportTKGConfigForAzureOK() *ExportTKGConfigForAzureOK {
	return &ExportTKGConfigForAzureOK{}
}

/*ExportTKGConfigForAzureOK handles this case with default header values.

Generated TKG configuration successfully
*/
type ExportTKGConfigForAzureOK struct {
	Payload string
}

func (o *ExportTKGConfigForAzureOK) Error() string {
	return fmt.Sprintf("[POST /api/providers/azure/config/export][%d] exportTKGConfigForAzureOK  %+v", 200, o.Payload)
}

func (o *ExportTKGConfigForAzureOK) GetPayload() string {
	return o.Payload
}

func (o *ExportTKGConfigForAzureOK) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	// response payload
	if err := consumer.Consume(response.Body(), &o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewExportTKGConfigForAzureBadRequest creates a ExportTKGConfigForAzureBadRequest with default headers values
func NewExportTKGConfigForAzureBadRequest() *ExportTKGConfigForAzureBadRequest {
	return &ExportTKGConfigForAzureBadRequest{}
}

/*ExportTKGConfigForAzureBadRequest handles this case with default header values.

Bad request
*/
type ExportTKGConfigForAzureBadRequest struct {
	Payload *models.Error
}

func (o *ExportTKGConfigForAzureBadRequest) Error() string {
	return fmt.Sprintf("[POST /api/providers/azure/config/export][%d] exportTKGConfigForAzureBadRequest  %+v", 400, o.Payload)
}

func (o *ExportTKGConfigForAzureBadRequest) GetPayload() *models.Error {
	return o.Payload
}

func (o *ExportTKGConfigForAzureBadRequest) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewExportTKGConfigForAzureUnauthorized creates a ExportTKGConfigForAzureUnauthorized with default headers values
func NewExportTKGConfigForAzureUnauthorized() *ExportTKGConfigForAzureUnauthorized {
	return &ExportTKGConfigForAzureUnauthorized{}
}

/*ExportTKGConfigForAzureUnauthorized handles this case with default header values.

Incorrect credentials
*/
type ExportTKGConfigForAzureUnauthorized struct {
	Payload *models.Error
}

func (o *ExportTKGConfigForAzureUnauthorized) Error() string {
	return fmt.Sprintf("[POST /api/providers/azure/config/export][%d] exportTKGConfigForAzureUnauthorized  %+v", 401, o.Payload)
}

func (o *ExportTKGConfigForAzureUnauthorized) GetPayload() *models.Error {
	return o.Payload
}

func (o *ExportTKGConfigForAzureUnauthorized) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewExportTKGConfigForAzureInternalServerError creates a ExportTKGConfigForAzureInternalServerError with default headers values
func NewExportTKGConfigForAzureInternalServerError() *ExportTKGConfigForAzureInternalServerError {
	return &ExportTKGConfigForAzureInternalServerError{}
}

/*ExportTKGConfigForAzureInternalServerError handles this case with default header values.

Internal server error
*/
type ExportTKGConfigForAzureInternalServerError struct {
	Payload *models.Error
}

func (o *ExportTKGConfigForAzureInternalServerError) Error() string {
	return fmt.Sprintf("[POST /api/providers/azure/config/export][%d] exportTKGConfigForAzureInternalServerError  %+v", 500, o.Payload)
}

func (o *ExportTKGConfigForAzureInternalServerError) GetPayload() *models.Error {
	return o.Payload
}

func (o *ExportTKGConfigForAzureInternalServerError) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
