// Code generated by go-swagger; DO NOT EDIT.

package azure

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"

	strfmt "github.com/go-openapi/strfmt"

	models "github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/models"
)

// GetAzureResourceGroupsReader is a Reader for the GetAzureResourceGroups structure.
type GetAzureResourceGroupsReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *GetAzureResourceGroupsReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {
	case 200:
		result := NewGetAzureResourceGroupsOK()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return result, nil
	case 400:
		result := NewGetAzureResourceGroupsBadRequest()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 401:
		result := NewGetAzureResourceGroupsUnauthorized()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 500:
		result := NewGetAzureResourceGroupsInternalServerError()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	default:
		return nil, runtime.NewAPIError("unknown error", response, response.Code())
	}
}

// NewGetAzureResourceGroupsOK creates a GetAzureResourceGroupsOK with default headers values
func NewGetAzureResourceGroupsOK() *GetAzureResourceGroupsOK {
	return &GetAzureResourceGroupsOK{}
}

/*GetAzureResourceGroupsOK handles this case with default header values.

Successful retrieval of Azure resource groups
*/
type GetAzureResourceGroupsOK struct {
	Payload []*models.AzureResourceGroup
}

func (o *GetAzureResourceGroupsOK) Error() string {
	return fmt.Sprintf("[GET /api/providers/azure/resourcegroups][%d] getAzureResourceGroupsOK  %+v", 200, o.Payload)
}

func (o *GetAzureResourceGroupsOK) GetPayload() []*models.AzureResourceGroup {
	return o.Payload
}

func (o *GetAzureResourceGroupsOK) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	// response payload
	if err := consumer.Consume(response.Body(), &o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewGetAzureResourceGroupsBadRequest creates a GetAzureResourceGroupsBadRequest with default headers values
func NewGetAzureResourceGroupsBadRequest() *GetAzureResourceGroupsBadRequest {
	return &GetAzureResourceGroupsBadRequest{}
}

/*GetAzureResourceGroupsBadRequest handles this case with default header values.

Bad Request
*/
type GetAzureResourceGroupsBadRequest struct {
	Payload *models.Error
}

func (o *GetAzureResourceGroupsBadRequest) Error() string {
	return fmt.Sprintf("[GET /api/providers/azure/resourcegroups][%d] getAzureResourceGroupsBadRequest  %+v", 400, o.Payload)
}

func (o *GetAzureResourceGroupsBadRequest) GetPayload() *models.Error {
	return o.Payload
}

func (o *GetAzureResourceGroupsBadRequest) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewGetAzureResourceGroupsUnauthorized creates a GetAzureResourceGroupsUnauthorized with default headers values
func NewGetAzureResourceGroupsUnauthorized() *GetAzureResourceGroupsUnauthorized {
	return &GetAzureResourceGroupsUnauthorized{}
}

/*GetAzureResourceGroupsUnauthorized handles this case with default header values.

Incorrect credentials
*/
type GetAzureResourceGroupsUnauthorized struct {
	Payload *models.Error
}

func (o *GetAzureResourceGroupsUnauthorized) Error() string {
	return fmt.Sprintf("[GET /api/providers/azure/resourcegroups][%d] getAzureResourceGroupsUnauthorized  %+v", 401, o.Payload)
}

func (o *GetAzureResourceGroupsUnauthorized) GetPayload() *models.Error {
	return o.Payload
}

func (o *GetAzureResourceGroupsUnauthorized) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewGetAzureResourceGroupsInternalServerError creates a GetAzureResourceGroupsInternalServerError with default headers values
func NewGetAzureResourceGroupsInternalServerError() *GetAzureResourceGroupsInternalServerError {
	return &GetAzureResourceGroupsInternalServerError{}
}

/*GetAzureResourceGroupsInternalServerError handles this case with default header values.

Internal server error
*/
type GetAzureResourceGroupsInternalServerError struct {
	Payload *models.Error
}

func (o *GetAzureResourceGroupsInternalServerError) Error() string {
	return fmt.Sprintf("[GET /api/providers/azure/resourcegroups][%d] getAzureResourceGroupsInternalServerError  %+v", 500, o.Payload)
}

func (o *GetAzureResourceGroupsInternalServerError) GetPayload() *models.Error {
	return o.Payload
}

func (o *GetAzureResourceGroupsInternalServerError) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
