// Code generated by go-swagger; DO NOT EDIT.

package vsphere

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"

	strfmt "github.com/go-openapi/strfmt"

	models "github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/web/server/models"
)

// ExportTKGConfigForVsphereReader is a Reader for the ExportTKGConfigForVsphere structure.
type ExportTKGConfigForVsphereReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *ExportTKGConfigForVsphereReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {
	case 200:
		result := NewExportTKGConfigForVsphereOK()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return result, nil
	case 400:
		result := NewExportTKGConfigForVsphereBadRequest()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 401:
		result := NewExportTKGConfigForVsphereUnauthorized()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result
	case 500:
		result := NewExportTKGConfigForVsphereInternalServerError()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	default:
		return nil, runtime.NewAPIError("unknown error", response, response.Code())
	}
}

// NewExportTKGConfigForVsphereOK creates a ExportTKGConfigForVsphereOK with default headers values
func NewExportTKGConfigForVsphereOK() *ExportTKGConfigForVsphereOK {
	return &ExportTKGConfigForVsphereOK{}
}

/*ExportTKGConfigForVsphereOK handles this case with default header values.

Generated TKG configuration successfully
*/
type ExportTKGConfigForVsphereOK struct {
	Payload string
}

func (o *ExportTKGConfigForVsphereOK) Error() string {
	return fmt.Sprintf("[POST /api/providers/vsphere/config/export][%d] exportTKGConfigForVsphereOK  %+v", 200, o.Payload)
}

func (o *ExportTKGConfigForVsphereOK) GetPayload() string {
	return o.Payload
}

func (o *ExportTKGConfigForVsphereOK) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	// response payload
	if err := consumer.Consume(response.Body(), &o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewExportTKGConfigForVsphereBadRequest creates a ExportTKGConfigForVsphereBadRequest with default headers values
func NewExportTKGConfigForVsphereBadRequest() *ExportTKGConfigForVsphereBadRequest {
	return &ExportTKGConfigForVsphereBadRequest{}
}

/*ExportTKGConfigForVsphereBadRequest handles this case with default header values.

Bad request
*/
type ExportTKGConfigForVsphereBadRequest struct {
	Payload *models.Error
}

func (o *ExportTKGConfigForVsphereBadRequest) Error() string {
	return fmt.Sprintf("[POST /api/providers/vsphere/config/export][%d] exportTKGConfigForVsphereBadRequest  %+v", 400, o.Payload)
}

func (o *ExportTKGConfigForVsphereBadRequest) GetPayload() *models.Error {
	return o.Payload
}

func (o *ExportTKGConfigForVsphereBadRequest) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewExportTKGConfigForVsphereUnauthorized creates a ExportTKGConfigForVsphereUnauthorized with default headers values
func NewExportTKGConfigForVsphereUnauthorized() *ExportTKGConfigForVsphereUnauthorized {
	return &ExportTKGConfigForVsphereUnauthorized{}
}

/*ExportTKGConfigForVsphereUnauthorized handles this case with default header values.

Incorrect credentials
*/
type ExportTKGConfigForVsphereUnauthorized struct {
	Payload *models.Error
}

func (o *ExportTKGConfigForVsphereUnauthorized) Error() string {
	return fmt.Sprintf("[POST /api/providers/vsphere/config/export][%d] exportTKGConfigForVsphereUnauthorized  %+v", 401, o.Payload)
}

func (o *ExportTKGConfigForVsphereUnauthorized) GetPayload() *models.Error {
	return o.Payload
}

func (o *ExportTKGConfigForVsphereUnauthorized) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewExportTKGConfigForVsphereInternalServerError creates a ExportTKGConfigForVsphereInternalServerError with default headers values
func NewExportTKGConfigForVsphereInternalServerError() *ExportTKGConfigForVsphereInternalServerError {
	return &ExportTKGConfigForVsphereInternalServerError{}
}

/*ExportTKGConfigForVsphereInternalServerError handles this case with default header values.

Internal server error
*/
type ExportTKGConfigForVsphereInternalServerError struct {
	Payload *models.Error
}

func (o *ExportTKGConfigForVsphereInternalServerError) Error() string {
	return fmt.Sprintf("[POST /api/providers/vsphere/config/export][%d] exportTKGConfigForVsphereInternalServerError  %+v", 500, o.Payload)
}

func (o *ExportTKGConfigForVsphereInternalServerError) GetPayload() *models.Error {
	return o.Payload
}

func (o *ExportTKGConfigForVsphereInternalServerError) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.Error)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
